import request from "@/utils/request.js";

// 发现-动态列表
export function discoverList(data) {
    return request({
        method: 'get',
        url: '/api/moment/v1/list',
        data
    });
}

// 我的动态列表
export function myDynamicList(data) {
    return request({
        method: 'get',
        url: '/api/moment/v1/my',
        data
    });
}

// 技师动态列表
export function jsDynamicList(data) {
    return request({
        method: 'get',
        url: '/api/moment/v1/queryMomentByTechnicianId',
        data
    });
}

// 草稿动态列表
export function draftDynamicList(data) {
    return request({
        method: 'get',
        url: '/api/moment/v1/drafts',
        data
    });
}

// 发布/保存动态
export function dynamicPublish(data) {
    return request({
        method: 'post',
        url: '/api/moment/v1/publish',
        data
    });
}

// 编辑动态
export function dynamicEdit(data) {
    return request({
        method: 'post',
        url: '/api/moment/v1/edit',
        data
    });
}

// 动态详情
export function dynamicDetail(data) {
    return request({
        method: 'get',
        url: '/api/moment/v1/detail',
        data
    });
}